#ifndef __Header_h__
#define __Header_h__

#include "includes"
#include "Object.h"

namespace core {
   
   class Header : public Object {
      
    public:
      Header(std::string data);
      ~Header();       
      
      std::string data;
      
      std::string requestMethod();
      std::string requestURL();
      std::string requestProtocol();
      
    private:
      
      //   vector<map<string, string>> header;
       
   };
   
}

#endif
